# FoundationClasses
TKernel
TColStd

# TColStd_Array1OfAsciiString Class Reference

`#include <TColStd_Array1OfAsciiString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_Array1OfAsciiString (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColStd_Array1OfAsciiString (const TCollection_AsciiString &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const TCollection_AsciiString &V)
Standard_EXPORT void | Destroy ()
| ~TColStd_Array1OfAsciiString ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TColStd_Array1OfAsciiString & | Assign (const TColStd_Array1OfAsciiString &Other)
const TColStd_Array1OfAsciiString & | operator= (const TColStd_Array1OfAsciiString &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TCollection_AsciiString &Value)
const TCollection_AsciiString & | Value (const Standard_Integer Index) const
const TCollection_AsciiString & | operator() (const Standard_Integer Index) const
TCollection_AsciiString & | ChangeValue (const Standard_Integer Index)
TCollection_AsciiString & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TColStd_Array1OfAsciiString (const TColStd_Array1OfAsciiString &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_Array1OfAsciiString::TColStd_Array1OfAsciiString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColStd_Array1OfAsciiString::TColStd_Array1OfAsciiString | ( | const TCollection_AsciiString & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TColStd_Array1OfAsciiString::~TColStd_Array1OfAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_Array1OfAsciiString::TColStd_Array1OfAsciiString | ( | const TColStd_Array1OfAsciiString & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColStd_Array1OfAsciiString& TColStd_Array1OfAsciiString::Assign | ( | const TColStd_Array1OfAsciiString & | Other | ) |

TCollection_AsciiString& TColStd_Array1OfAsciiString::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColStd_Array1OfAsciiString::Destroy | ( |  | ) |

Standard_EXPORT void TColStd_Array1OfAsciiString::Init | ( | const TCollection_AsciiString & | V | ) |

Standard_Boolean TColStd_Array1OfAsciiString::IsAllocated | ( |  | ) | const

Standard_Integer TColStd_Array1OfAsciiString::Length | ( |  | ) | const

Standard_Integer TColStd_Array1OfAsciiString::Lower | ( |  | ) | const

void TColStd_Array1OfAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_Array1OfAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_Array1OfAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TCollection_AsciiString& TColStd_Array1OfAsciiString::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const TCollection_AsciiString& TColStd_Array1OfAsciiString::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TColStd_Array1OfAsciiString& TColStd_Array1OfAsciiString::operator= | ( | const TColStd_Array1OfAsciiString & | Other | ) | `[inline]`

void TColStd_Array1OfAsciiString::SetValue | ( | const Standard_Integer | Index,
|  | const TCollection_AsciiString & | Value
| ) |

Standard_Integer TColStd_Array1OfAsciiString::Upper | ( |  | ) | const

const TCollection_AsciiString& TColStd_Array1OfAsciiString::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TColStd_Array1OfAsciiString::isAllocated `[private]`

Standard_Integer TColStd_Array1OfAsciiString::myLowerBound `[private]`

Standard_Address TColStd_Array1OfAsciiString::myStart `[private]`

Standard_Integer TColStd_Array1OfAsciiString::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TColStd_Array1OfAsciiString.hxx